SIGSETOPS(3)

NAME
sigemptyset, sigfillset, sigaddset, sigdelset, sigismember - POSIX signal set operations.

SYNOPSIS
#include <signal.h>

int sigemptyset(sigset_t *set);

int sigfillset(sigset_t *set);

int sigaddset(sigset_t *set, const int signum);

int sigdelset(sigset_t *set, const int signum);

int sigismember(const sigset_t *set, const int signum);

DESCRIPTION
The sigsetops(3) functions allow the manipulation of POSIX signal sets.

sigemptyset initializes the signal set given by set to empty, with all signals excluded from the set.

sigfillset initializes set to full, including all signals.

sigaddset and sigdelset add and delete respectively signal signum from set.

sigismember tests whether signum is a member of set.

RETURN VALUES
sigemptyset, sigfullset, sigaddset and sigdelset return 0 on success and -1 on error.

sigismember returns 1 if signum is a member of set, 0 if signum is not a member, and -1 on error.

ERRORS

EINVAL
    sig is not a valid signal.

CONFORMING TO
POSIX

SEE ALSO
sigaction(2), sigpending(2), sigprocmask(2), sigsuspend(2)